/* 
Modkit MotoProto Shield LCD Example

 * LCD RS pin to digital pin 6
 * LCD Enable pin to digital pin 7
 * LCD D4 pin to digital pin 8
 * LCD D5 pin to digital pin 9
 * LCD D6 pin to digital pin 10
 * LCD D7 pin to digital pin 11
 * Trimpot to LCD VO 
 
 9/2010 - Ed Baafi/Modkit
 Based on library/example by David A. Mellis,
 Limor Fried, and Tom Igoe
 
 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// include the library code:
#include <LiquidCrystal.h>

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(6, 7, 8, 9, 10, 11);

void setup() {
  // Setup the lcd for 16 characters/line and 2 lines
  lcd.begin(16, 2);
  // print something on line 1
  lcd.print("Modkit/Sparkfun");
}

void loop() {
  // set the cursor to the first column char,
  // second line (line=1 since line starts w/0)
  lcd.setCursor(0, 1);
  // Write over 4 characters since we might only 
  // write one or two in the next reading
  lcd.print("    ");
  //reset the cursor to first char, second line
  lcd.setCursor(0, 1);
  //print the value from the A0 sensor port
  lcd.print(analogRead(0));
  delay(500);
}

